> For the complete documentation index, see [llms.txt](https://docs.editran.onesait.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.editran.onesait.com/documentacion-editran/documentacion-editran-editran-sepa-v3-open-en/configuracion-del-log.md).

# Log configuration

The file `log4j.properties` located in the folder `conf` allows modifying the log characteristics. By default, the log is configured so that for each file conversion two log entries are generated located in the folder `logs`, one in the general Editran/SEPA log called `out.log` and another one specific to each file with a name equal to its input file.

The file can be edited, which makes it possible to adapt it to the specific needs or requirements of each installation. Below are examples of some of the most common changes:

* Disable a log: remove its name (`EDISEPAGENERAL`, `EDISEPAFICHERO` or `EDISEPAEMAIL`) from the log properties (`log4j.logger`, `log4j.logger.com.indra.mmdd` or `log4j.logger.com.indra.mmdd.editran.parser`).
* Edit the general log: you can modify everything from the log name (`log4j.appender.EDISEPAGENERAL.File`), its maximum size (`log4j.appender.EDISEPAGENERAL.MaxFileSize`) to the number of historical files kept (`log4j.appender.EDISEPAGENERAL.MaxBackupIndex`).
* The file comes prepared with two blocks, 1) and 2), to easily enable/disable the use of error sending by email.
* To add another log, if you want to do this you must follow the log4j log configuration.

Initial file content:

*(The lines that begin with `##` are comments and must remain as they are. Active lines will always begin with `log4j.`. To disable a line, prefix it with `#`, to enable it remove `#`.)*

```properties
## By default, error sending by email is disabled.

##To disable any of the logs, you must remove its name (EDISEPAGENERAL,
##EDISEPAFICHERO or EDISEPAEMAIL) from the lines where they appear to the right of '='
##as well as comment out the block where it is defined.

##Only the lines of one of the following two blocks should be active:

##1) GENERAL LOG, SPECIFIC LOG FOR EACH FILE, AND ERROR LOG SENDING BY EMAIL
##If this block is used, the following must be activated, following the instructions specified there,
##the CONFIGURATION lines FOR SENDING ERRORS BY EMAIL
#log4j.logger = INFO, EDISEPAGENERAL, EDISEPAFICHERO, EDISEPAEMAIL
#log4j.logger.com.indra.mmdd = INFO, EDISEPAGENERAL, EDISEPAEMAIL
#log4j.logger.com.indra.mmdd.editran.parser = INFO, EDISEPAFICHERO, EDISEPAEMAIL

##2) GENERAL LOG and SPECIFIC LOG FOR EACH FILE
log4j.logger = INFO, EDISEPAGENERAL, EDISEPAFICHERO
log4j.logger.com.indra.mmdd = INFO, EDISEPAGENERAL, EDISEPAFICHERO
log4j.logger.com.indra.mmdd.editran.parser = INFO, EDISEPAFICHERO

##
log4j.additivity.com.indra.mmdd =false

##General program log. Includes all file conversions. If you want to modify the
##log size you must modify the log4j.appender.MaxFileSize property. If you want to modify the
##number of historical log files kept, modify the log4j.appender.MaxBackupIndex property
log4j.appender.EDISEPAGENERAL=org.apache.log4j.RollingFileAppender
log4j.appender.EDISEPAGENERAL.File=logs/out.log
log4j.appender.EDISEPAGENERAL.MaxFileSize=2000KB
log4j.appender.EDISEPAGENERAL.MaxBackupIndex=5
log4j.appender.EDISEPAGENERAL.Append=true
log4j.appender.EDISEPAGENERAL.layout=org.apache.log4j.PatternLayout
log4j.appender.EDISEPAGENERAL.layout.ConversionPattern=%d{dd/MM/yyyy HH:mm:ss,SSS} %5r %-5p [%t] %c{2} %M - %m%n

##Specific log for the conversion of each file. The final name is
##"inputFileName.log", located in the logs folder
log4j.appender.EDISEPAFICHERO=org.apache.log4j.FileAppenderr
log4j.appender.EDISEPAFICHERO.File=logs/nombreFichero.log
log4j.appender.EDISEPAFICHERO.Append=false
log4j.appender.EDISEPAFICHERO.layout=org.apache.log4j.PatternLayout
log4j.appender.EDISEPAFICHERO.layout.ConversionPattern=%d{dd/MM/yyyy HH:mm:ss,SSS} %-5p - %m%n

##CONFIGURATION FOR SENDING ERRORS BY EMAIL
##The password of the account from which the emails will be sent will appear in plain text, configure
##an account that does not require it if you want to avoid this.
#log4j.appender.EDISEPAEMAIL=org.apache.log4j.net.SMTPAppender
##In the following six parameters, replace the example values on the right of '=' with the
##real values corresponding both to your SMTP server and to the sender and recipient email users.
#log4j.appender.EDISEPAEMAIL.SMTPHost=smtp.dominio
#log4j.appender.EDISEPAEMAIL.smtp.Port=25
#log4j.appender.EDISEPAEMAIL.SMTPUsername=remitente@dominioRemitente
#log4j.appender.EDISEPAEMAIL.SMTPPassword=passwordRemitente
#log4j.appender.EDISEPAEMAIL.From=remitente@dominioRemitente
#log4j.appender.EDISEPAEMAIL.To=destinatario@dominioDestinatario
#log4j.appender.EDISEPAEMAIL.Subject=Editran/SEPA Converter Error
#log4j.appender.EDISEPAEMAIL.BufferSize=1
#log4j.appender.EDISEPAEMAIL.layout=org.apache.log4j.PatternLayout
#log4j.appender.EDISEPAEMAIL.layout.ConversionPattern=%m
```

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.editran.onesait.com/documentacion-editran/documentacion-editran-editran-sepa-v3-open-en/configuracion-del-log.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
